---
title: llarp::layers::onion::OnionPathInfo
summary: all informational data about a singular onion path we created. 

---

# llarp::layers::onion::OnionPathInfo



all informational data about a singular onion path we created. 


`#include <onion_path_info.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[ready_to_use](Classes/structllarp_1_1layers_1_1onion_1_1OnionPathInfo.md#function-ready-to-use)**() const |

## Public Functions Documentation

### function ready_to_use

```cpp
bool ready_to_use() const
```


-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000